Bug 432938 - SHA256/512 options not documented in authconfig
SHA256/512 options not documented in authconfig
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: authconfig (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 05:26 EST by Alexander Todorov
Modified: 2008-10-01 05:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: authconfig-5.3.21-3.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 05:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-02-15 05:26:27 EST
Description of problem:
There is new support for generating SHA256/512 hashes of passwords which is
integrated into RHEL. According to
https://bugzilla.redhat.com/show_bug.cgi?id=427388#c8 kickstart will follow the
same rules as the authconfig command. Options are not documented

Version-Release number of selected component (if applicable):
authconfig-5.3.21-2.el5

How reproducible:
100%

Additional info:
Can we please keep the documentation up to date? 
These new features are not documented in the Kickstart page @ fedora wiki as well.
Comment 1 RHEL Product and Program Management 2008-02-15 05:27:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Tomas Mraz 2008-02-15 06:17:03 EST
They are documented in authconfig --help page.
Comment 3 Alexander Todorov 2008-02-15 06:27:17 EST
(In reply to comment #2)
> They are documented in authconfig --help page.
> 

Even worse. that means that the docs are inconsistent. 
Please consider making the appropriate changes in the manual pages as well.
Comment 4 Tomas Mraz 2008-02-15 08:37:32 EST
(In reply to comment #3)
> 
> Even worse. that means that the docs are inconsistent. 
> Please consider making the appropriate changes in the manual pages as well.
They would be inconsistent if the manpage and --help page conflicted but there
are just some options missing in the manpage. The manpage was never meant to be
exhaustive - note that some options are mentioned only in the synopsis and not
in the text of the manpage.

Also is it really worth it to do respin + QA of the package just for manpage fix?
Comment 5 RHEL Product and Program Management 2008-03-11 15:36:19 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 6 Tomas Mraz 2008-10-01 05:38:51 EDT
Actually this one was fixed in authconfig-5.3.21-3.el5 released in RHEL-5.2.

Note You need to log in before you can comment on or make changes to this bug.